<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::dropIfExists('profile_answers');
        Schema::create('profile_answers', function (Blueprint $table) {
            $table->id();
            $table->text('answer')->nullable();
            $table->unsignedBigInteger('patient_id')->nullable();
            $table->foreign('patient_id')->references('id')->on('patients');
            $table->unsignedBigInteger('question_category_id')->nullable();
            $table->foreign('question_category_id')->references('id')->on('profile_category_question');
            $table->unsignedBigInteger('sub_question_id')->nullable();
            $table->foreign('sub_question_id')->references('id')->on('profile_sub_questions');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
